InstantiatedIndex (Lucene 3.6.2 API)
Keywords: org.apache.lucene.store.instantiated.InstantiatedIndex class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store.instantiated
Class InstantiatedIndex

    java.lang.Object
      org.apache.lucene.store.instantiated.InstantiatedIndex

All Implemented Interfaces:
  Closeable, Serializable

Deprecated. contrib/instantiated will be removed in 4.0; you can use the memory codec to hold all postings in RAM

    @Deprecated
    public class InstantiatedIndex

extends Object
implements Serializable, Closeable

Represented as a coupled graph of class instances, this all-in-memory index store implementation delivers search results up to a 100 times faster than the file-centric RAMDirectory at the cost of greater RAM consumption.

See Also:
  Serialized Form
WARNING: This API is experimental and might change in incompatible ways in the next release.

  There are no read and write locks in this store. `InstantiatedIndexReader` `InstantiatedIndexReader.isCurrent()` all the time and `InstantiatedIndexWriter` will attempt to update instances of the object graph in memory at the same time as a searcher is reading from it. Consider using InstantiatedIndex as if it was immutable.

Constructor Summary
`InstantiatedIndex()` Deprecated. Creates an empty instantiated index for you to fill with data using an `InstantiatedIndexWriter`.
`InstantiatedIndex(org.apache.lucene.index.IndexReader sourceIndexReader)` Deprecated. Creates a new instantiated index that looks just like the index in a specific state as represented by a reader.
`InstantiatedIndex(org.apache.lucene.index.IndexReader sourceIndexReader, Set<String> fields)` Deprecated. Creates a new instantiated index that looks just like the index in a specific state as represented by a reader.

Method Summary
`void` | `close()` Deprecated.
`org.apache.lucene.util.BitVector` | `getDeletedDocuments()` Deprecated.
`InstantiatedDocument[]` | `getDocumentsByNumber()` Deprecated.
`org.apache.lucene.index.FieldInfos` | `getFieldInfos()` Deprecated.
`Map<String,byte[]>` | `getNormsByFieldNameAndDocumentNumber()` Deprecated.
`InstantiatedTerm[]` | `getOrderedTerms()` Deprecated.
`Map<String,Map<String,InstantiatedTerm>>` | `getTermsByFieldAndText()` Deprecated.
`long` | `getVersion()` Deprecated.
`InstantiatedIndexReader` | `indexReaderFactory()` Deprecated.
`InstantiatedIndexWriter` | `indexWriterFactory(org.apache.lucene.analysis.Analyzer analyzer, boolean create)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstantiatedIndex

    public InstantiatedIndex()

  Deprecated.
  Creates an empty instantiated index for you to fill with data using an `InstantiatedIndexWriter`.

### InstantiatedIndex

    public InstantiatedIndex(org.apache.lucene.index.IndexReader sourceIndexReader)
                      throws IOException

  Deprecated.
  Creates a new instantiated index that looks just like the index in a specific state as represented by a reader.

  Parameters:
    `sourceIndexReader` - the source index this new instantiated index will be copied from.
  Throws:
    `IOException` - if the source index is not single-segment, or when accessing the source.

### InstantiatedIndex

    public InstantiatedIndex(org.apache.lucene.index.IndexReader sourceIndexReader,
                             Set<String> fields)
                      throws IOException

  Deprecated.
  Creates a new instantiated index that looks just like the index in a specific state as represented by a reader.

  Parameters:
    `sourceIndexReader` - the source index this new instantiated index will be copied from.
    `fields` - fields to be added, or null for all
  Throws:
    `IOException` - if the source index is not single-segment, or when accessing the source.

Method Detail

### getFieldInfos

    public org.apache.lucene.index.FieldInfos getFieldInfos()

  Deprecated.

### indexWriterFactory

    public InstantiatedIndexWriter indexWriterFactory(org.apache.lucene.analysis.Analyzer analyzer,
                                                      boolean create)
                                               throws IOException

  Deprecated.
  Throws:
    `IOException`

### indexReaderFactory

    public InstantiatedIndexReader indexReaderFactory()
                                               throws IOException

  Deprecated.
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Deprecated.
  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

### getTermsByFieldAndText

    public Map<String,Map<String,InstantiatedTerm>> getTermsByFieldAndText()

  Deprecated.

### getOrderedTerms

    public InstantiatedTerm[] getOrderedTerms()

  Deprecated.

### getDocumentsByNumber

    public InstantiatedDocument[] getDocumentsByNumber()

  Deprecated.

### getNormsByFieldNameAndDocumentNumber

    public Map<String,byte[]> getNormsByFieldNameAndDocumentNumber()

  Deprecated.

### getDeletedDocuments

    public org.apache.lucene.util.BitVector getDeletedDocuments()

  Deprecated.

### getVersion

    public long getVersion()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD